io.vertx.json.schema.common.dsl

## Class ObjectSchemaBuilder

- java.lang.Object
- - io.vertx.json.schema.common.dsl.SchemaBuilder<ObjectSchemaBuilder,ObjectKeyword>
  - - io.vertx.json.schema.common.dsl.ObjectSchemaBuilder

-     public final class ObjectSchemaBuilder
      extends SchemaBuilder<ObjectSchemaBuilder,ObjectKeyword>

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.common.dsl.SchemaBuilder

      `id, keywords, type`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectSchemaBuilder` | `additionalProperties(SchemaBuilder schemaBuilder)`
    `ObjectSchemaBuilder` | `allowAdditionalProperties(boolean allow)`
    `Map<Pattern,SchemaBuilder>` | `getPatternProperties()`
    `Map<String,SchemaBuilder>` | `getProperties()`
    `boolean` | `isPropertyRequired(String property)`
    `ObjectSchemaBuilder` | `optionalProperty(String name, SchemaBuilder schemaBuilder)`
    `ObjectSchemaBuilder` | `patternProperty(Pattern pattern, SchemaBuilder schemaBuilder)`
    `ObjectSchemaBuilder` | `property(String name, SchemaBuilder schemaBuilder)`
    `ObjectSchemaBuilder` | `requiredProperty(String name, SchemaBuilder schemaBuilder)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class io.vertx.json.schema.common.dsl.SchemaBuilder

      `alias, build, defaultValue, fromJson, getType, id, nullable, type, with, with, withKeyword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### property

          public ObjectSchemaBuilder property(String name,
                                              SchemaBuilder schemaBuilder)

    - #### optionalProperty

          public ObjectSchemaBuilder optionalProperty(String name,
                                                      SchemaBuilder schemaBuilder)

    - #### getProperties

          public Map<String,SchemaBuilder> getProperties()

    - #### getPatternProperties

          public Map<Pattern,SchemaBuilder> getPatternProperties()

    - #### isPropertyRequired

          public boolean isPropertyRequired(String property)

    - #### requiredProperty

          public ObjectSchemaBuilder requiredProperty(String name,
                                                      SchemaBuilder schemaBuilder)

    - #### patternProperty

          public ObjectSchemaBuilder patternProperty(Pattern pattern,
                                                     SchemaBuilder schemaBuilder)

    - #### additionalProperties

          public ObjectSchemaBuilder additionalProperties(SchemaBuilder schemaBuilder)

    - #### allowAdditionalProperties

          public ObjectSchemaBuilder allowAdditionalProperties(boolean allow)

    - #### toJson

          public JsonObject toJson()

      Overrides:
        `toJson` in class `SchemaBuilder<ObjectSchemaBuilder,ObjectKeyword>`

Copyright © 2021 Eclipse. All rights reserved.